#!/bin/bash

# A script to check the modem is still there and reboot it if not.
# From: https://www.reddit.com/r/PinePhoneOfficial/comments/pldi68/after_1_week_with_pinephone_battery_life_and_sim/hcajlhn?utm_source=share&utm_medium=web2x&context=3

DELAY=60

st=$(lsusb | grep Quectel)
if test "x$st" = "x"
then
    echo "Modem not found, rechecking in $DELAY s."
    sleep $DELAY
    st=$(lsusb | grep Quectel)
    if test "x$st" = "x"
    then
        echo "Modem not auto-restored by system; restarting eg25-manager."
        systemctl restart eg25-manager
    else
        echo "Modem was auto-restored by system."
    fi
fi